[aleganza at tiscali.it: Hi, some tips for BLFS]

Mark Hymers markh at linuxfromscratch.org
Wed May 14 07:10:39 PDT 2003


----- Forwarded message from Andrea Leganza <aleganza at tiscali.it> -----

> Date: Mon, 12 May 2003 21:14:06 +0200
> From: Andrea Leganza <aleganza at tiscali.it>
> Reply-To: aleganza at tiscali.it
> User-Agent: Mozilla/5.0 (X11; U; Linux i686; it-IT; rv:1.3) Gecko/20030320
> X-Accept-Language: it, en-us, en
> To: markh at linuxfromscratch.org
> Subject: Hi, some tips for BLFS
> X-Spam-Status: No, hits=-0.4 required=8.0
> 	tests=ASCII_FORM_ENTRY,SPAM_PHRASE_00_01,USER_AGENT,
> 	      USER_AGENT_MOZILLA_UA,X_ACCEPT_LANG
> 	version=2.43
> X-Spam-Level: 
> 
> Hi, installing some packages i wrote some tips, i translated in italian 
> the LFS 4 project [Gerald B. CERTIFIED :-) ], so il'd like to traslate 
> BLFS in the same language...tell me what u think. Here are some 
> tips...but i got about 10 others, like xloadimage (useful to set jpg and 
> gif backgrounds in blackbox without many other packages), lopster (an 
> opennap client, now quit stable), gaim (the icq/messenger clone), 
> sodipodi: the adobe most illustrator-clone, and others... "see" u soon
> 
> 
> *blackbox-0.65.0*
> 
> Introduction to blackbox
> 
> Download location (HTTP):      
> http://prdownloads.sf.net/blackboxwm/blackbox-0.65.0.tar.gz  
> Version used:                   0.65.0
> Package size:                   286 KB
> Estimated Disk space required:  5 MB
> 
>   The blackbox package contains a light windows manager.
> 
> blackbox depends on: xfree86-4.3.0
>     _________________________________________________________________
> 
> Installation of blackbox
> 
>   Install blackbox by running the following commands:
> ./configure --prefix=/usr  &&
> make &&
> make install
>     _________________________________________________________________
> 
> Configuring blackbox
> 
> Config files
> 
>   ~/.blackboxrc, /usr/share/blackbox/menu, /usr/share/blackbox/styles
>     _________________________________________________________________
> 
> Configuration Information
> 
>   Be sure to backup your current .xinitrc before proceeding.
> cat >> ~/.xinitrc << "EOF"
> exec blackbox
> EOF
> 
>   Menu Items are added by editing /usr/share/blackbox/menu. The syntax is
>   explained on the blackbox man page.
>     _________________________________________________________________
> 
> Contents
> 
>   The blackbox package contains blackbox, bsetbg and bsetroot.
>     _________________________________________________________________
> 
> Description
> 
> blackbox
> 
>   blackbox is a window manager for X11 thinked to be visually minimalist
>   and fast, for example the use of pixmaps in themes  has been avoided
>   to eliminate dipendencies and excess memory usage.
>     _________________________________________________________________
> 
> bsetbg
> 
>   bsetbg is a utility that sets the background image. It needs display,
>   Esetroot, wmsetbg, xv, qiv,  xsri or xloadimage to be used.
>  
>    _________________________________________________________________
> 
> bsetroot
> 
>   bsetroot is an utility to change root window appearance.
> --------------------------------------------------------------------------------------------------------------------------------
> 
> 
> --------------------------------------------------------------------------------------------------------------------------------
> *vim-6.1 [gui enabled]*
> 
> Introduction to vim
> 
> Download location (HTTP):       ftp://ftp.vim.org/pub/editors/vim/unix/
> Download location (FTP):       
> Patch Download location (HTTP): 
> http://ftp.linuxfromscratch.org/lfs-packages/4.0/
> Download location (FTP):        
> ftp://ftp.linuxfromscratch.org/lfs-packages/4.0/
> Version used:                   0.65.0
> Package size:                   286 KB
> Estimated Disk space required:  5 MB
> 
>   Vim is a text editor Vi compatible, in LFS it's installed without a GUI.
> 
> vim-6.1 depends on: GCC-3.2, GZIP.
> 
> vim-6.1 utilizes:
> xfree86-4.2.1, GTK+-1.2.10, Motif if installed prior to vim.
> 
> _________________________________________________________________
> 
> Installation of vim
> 
> patch -Np1 -i ../vim-6.1.patch &&
> ./configure --enable-gui=athena --prefix=/usr &&
> make CPPFLAGS=-DSYS_VIMRC_FILE=\\\"/etc/vimrc\\\" &&
> make install
> 
>  _________________________________________________________________
> Installation command explanations
> 
> patch -Np1 -i ../vim-6.1.patch: avoid problems with GCC-3.2.
> 
> --enable-gui=athena: we used this option to enable the GUI avoiding
> to use other libraries (Athena widgets are provided by xfree).
> 'auto', 'no', 'gtk', 'gnome', 'motif'  are other values.
> 
> make CPPFLAGS=-DSYS_VIMRC_FILE=\\\"/etc/vimrc\\\: tell that the file vimrc,
> if exists, is placed in /etc instead of /usr/share/vim.
>     _________________________________________________________________
> 
> Configuring vim
> 
> Config files
> 
>   ~/.vimrc, ~/.gvimrc, /etc/vimrc
>     _________________________________________________________________
> 
> Configuration Information
> 
>   To use the same Vim configuration use:
> ln -s ~/.vimrc ~/.gvimrc
> 
>   To use the example supplied with package use:
> cp /runtine/gvimrc_example.vim ~/-.gvimrc
>     _________________________________________________________________
> 
> Contents
> 
>   The Vim package contains vim, gvim and other utilities.
>     _________________________________________________________________
> 
> Description
> 
>     See the Vim section in LFS.
> ---------------------------------------------------------------------------------------------------------------------------------
> 
> *NOTES:*
> 
> 1) mpg123 (now 0.59S) doesn't depend on alsa, i compiled without it and 
> worked simply.
>   I only use the loadable audio molules and a small c file that i made 
> to set the right volume values.
> 
> 2)ORBit 0.5.17, libIDL 0.8.0 and LIBART 2.3.10 store their .pc files in 
> /opt/gnomeX/lib/pkgconfig
>                .Gimp 1.3.11 can't find libart (->can't finish to 
> ./compile, so i used a "export PKG_PATH_DIR=where_is_stored_the_pc_file".
> 
>                After making a simbolic link in /usr/lib/pkgconfig to 
> these files it works without the need to use export.
> 
> 3) to enable language version of mplayer in ./configure: 
> --language=language (good for non-english users, like me)
> 
> 4) to enable pangoFT2 lib you need to install pkconfig and fontconfig 
> (->gimp 1.3 requires this to work)

----- End forwarded message -----

-- 
Mark Hymers <markh at linuxfromscratch dot org>

"Irish police are being handicapped in a search for a stolen van, because
 they cannot issue a description. It's a special branch vehicle, and they
 don't want the public to know what it looks like."
     The Guardian
-- 
Unsubscribe: send email to listar at linuxfromscratch.org
and put 'unsubscribe blfs-dev' in the subject header of the message



More information about the blfs-dev mailing list